For the complete documentation index, see llms.txt. This page is also available as Markdown.

Public Files

Public files are files that are available at the root location of your Appmixer Tenant API endpoint. For example, uploading verify.html will make the file available at API_URL/verify.html.

Returns a list of the public files

GET https://api.YOUR_TENANT.appmixer.cloud/public-files

The list returned does not contain the contents of the files.

[
  {
    "filename": "test.txt"
  }
]

Upload a public file

POST https://api.YOUR_TENANT.appmixer.cloud/public-files

curl --location 'https://acme.com/public-files' --header 'Authorization: bearer [the-admin-token]' --form 'file=@"/tmp/icon.png"' --form 'filename="icon.png"'

Request Body

Name
Type
Description

filename*

String

The name for the file

file*

File

The file to be uploaded

{ "ok": true }

Removes a public file

DELETE https://api.YOUR_TENANT.appmixer.cloud/public-files/:filename

Path Parameters

Name
Type
Description

filename*

String

The name of the file you want to remove

Was this helpful?